What are the requirements for running GeoGlyph?